webpackJsonp([1],{

/***/ 787:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserDetailInfoPageModule", function() { return UserDetailInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_detail_info__ = __webpack_require__(801);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var UserDetailInfoPageModule = /** @class */ (function () {
    function UserDetailInfoPageModule() {
    }
    UserDetailInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__user_detail_info__["a" /* UserDetailInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__user_detail_info__["a" /* UserDetailInfoPage */]),
            ],
        })
    ], UserDetailInfoPageModule);
    return UserDetailInfoPageModule;
}());

//# sourceMappingURL=user-detail-info.module.js.map

/***/ }),

/***/ 801:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserDetailInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_service_user_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_native_service_native_service__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the UserDetailInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var UserDetailInfoPage = /** @class */ (function () {
    function UserDetailInfoPage(navCtrl, navParams, actionSheetCtrl, storage, userService, nativeService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.actionSheetCtrl = actionSheetCtrl;
        this.storage = storage;
        this.userService = userService;
        this.nativeService = nativeService;
        //用户其他信息
        this.params = {
            account: '',
            password: '',
            sex: '',
            age: '',
            phoneNumber: '',
            basicIllness: [],
            vaccination: [],
        };
        this.user = {};
        this.user = this.navParams.data.userInfo;
    }
    UserDetailInfoPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad UserDetailInfoPage');
        //加载页面获取缓存的信息,将账号显示在页面上
        //不应该获取缓存的数据,应该获取当前账号的用户的基本信息
        //this.userService.getUserInfo();
        this.storage.get("USER_INFO").then(function (value) {
            var userAccount = {
                account: value.account
            };
            _this.userService.getUserInfo(userAccount).then(function (value1) {
                //返回值不为空
                if (value1 != null || value1 != '') {
                    _this.params.account = value1.account;
                    _this.params.sex = value1.sex;
                    //如果未填写基本信息
                    if (value1.age == 0) {
                        _this.params.age = '';
                    }
                    else {
                        _this.params.age = value1.age;
                    }
                    if (value1.phoneNumber == 0) {
                        _this.params.phoneNumber = '';
                    }
                    else {
                        _this.params.phoneNumber = value1.phonenumber;
                    }
                    console.log("多选的回显示：" + value1.basicillness);
                    //把返回的字符串用逗号分割成数组
                    _this.params.basicIllness = value1.basicillness.split(",");
                    _this.params.vaccination = value1.vaccination.split(",");
                }
                else {
                    console.log("全为空,不赋值");
                }
            });
        });
    };
    // 选择性别
    UserDetailInfoPage.prototype.sexActionSheet = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '选择性别',
            buttons: [
                {
                    text: '男',
                    role: 'destructive',
                    handler: function () {
                        _this.params.sex = '男';
                    }
                }, {
                    text: '女',
                    handler: function () {
                        _this.params.sex = '女';
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                    }
                }
            ]
        });
        actionSheet.present();
    };
    //保存到详细信息表里
    UserDetailInfoPage.prototype.save = function () {
        var _this = this;
        console.log("保存的信息" + this.params);
        console.log("保存的信息1" + this.params.basicIllness);
        var reg = /^[0-9]+.?[0-9]*$/; //判断输入是否为数字,年龄和电话号码
        if (!reg.test(this.params.age)) {
            this.nativeService.showToast("请输入正确的年龄");
            return;
        }
        //年龄不能超过三位数,并且第一位不能为0
        var ageJudge = /^[1-9]\d{0,2}$/;
        if (!ageJudge.test(this.params.age)) {
            this.nativeService.showToast("请输入正确的年龄");
            return;
        }
        if (!reg.test(this.params.phoneNumber)) {
            this.nativeService.showToast("请输入正确的电话号码");
            return;
        }
        if (this.params.sex == '男' || this.params.sex == '女') {
            this.userService.changeUserInfo(this.params).then(function (value) {
                console.log("修改基本信息后的返回值" + value.msg);
                if (value.msg == 'success') {
                    _this.nativeService.showToast("保存成功");
                }
                else {
                    _this.nativeService.showToast("保存失败");
                    return;
                }
            });
        }
        else {
            this.nativeService.showToast("请输入正确的性别");
            return;
        }
    };
    UserDetailInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-user-detail-info',template:/*ion-inline-start:"D:\epsapp-client\src\pages\user-detail-info\user-detail-info.html"*/'<!--\n\n  Generated template for the UserDetailInfoPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>个人信息</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-grid class="border-bottom">\n\n    <ion-row>\n\n      <ion-col col-4 text-center tappable>\n\n        <img class="avtor" *ngIf="user?.headimgurl" src="{{user.headimgurl}}">\n\n        <img class="avtor" *ngIf="!user?.headimgurl" src="../../assets/imgs/usercenter/user.png">\n\n      </ion-col>\n\n      <ion-col>\n\n        <h2>{{userInfo?.account}}</h2>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n\n\n  <ion-item tappable (click)="sexActionSheet()">\n\n    <h2>性别\n\n      <span style="margin-left: 116px">{{params.sex}}</span>\n\n    </h2>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-label fixed>年龄</ion-label>\n\n    <ion-input float-right type="text" [(ngModel)]="params.age"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-label fixed>手机号</ion-label>\n\n    <ion-input float-right type="text" [(ngModel)]="params.phoneNumber"></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-label>基础疾病</ion-label>\n\n    <!--multiple="true"多选-->\n\n    <ion-select [(ngModel)]="params.basicIllness" okText="确定" cancelText="取消" multiple="true">\n\n    <ion-option value="高血压">高血压</ion-option>\n\n    <ion-option value="冠心病">冠心病</ion-option>\n\n    <ion-option value="脑卒中">脑卒中</ion-option>\n\n    <ion-option value="糖尿病">糖尿病</ion-option>\n\n    <ion-option value="肿瘤">肿瘤</ion-option>\n\n    <ion-option value="无">无</ion-option>\n\n  </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-label>接种疫苗</ion-label>\n\n    <ion-select [(ngModel)]="params.vaccination" okText="确定" cancelText="取消" multiple="true">\n\n    <!--multiple="true"-->\n\n      <ion-option value="卡介苗">卡介苗</ion-option>\n\n      <ion-option value="百白破">百白破</ion-option>\n\n      <ion-option value="乙肝">乙肝</ion-option>\n\n      <ion-option value="流脑">流脑</ion-option>\n\n      <ion-option value="流感">流感</ion-option>\n\n      <ion-option value="无">无</ion-option>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n\n\n  <button class="mybutton" ion-button block tappable (click)="save()">保 存</button>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\epsapp-client\src\pages\user-detail-info\user-detail-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_service_user_service__["a" /* UserServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_native_service_native_service__["a" /* NativeServiceProvider */]])
    ], UserDetailInfoPage);
    return UserDetailInfoPage;
}());

//# sourceMappingURL=user-detail-info.js.map

/***/ })

});
//# sourceMappingURL=1.js.map