webpackJsonp([4],{

/***/ 783:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(798);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 798:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__regist_regist__ = __webpack_require__(386);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__find_password_find_password__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_native_service_native_service__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_user_service_user_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_global_data_global_data__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_http__ = __webpack_require__(49);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var LoginPage = /** @class */ (function () {
    function LoginPage(viewCtrl, modalCtrl, nativeService, userService, storage, globalData, http) {
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.nativeService = nativeService;
        this.userService = userService;
        this.storage = storage;
        this.globalData = globalData;
        this.http = http;
        this.params = {
            account: '',
            password: '',
        };
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LoginPage');
    };
    LoginPage.prototype.closeLogin = function () {
        this.viewCtrl.dismiss();
    };
    /**
     * 打开窗口-注册
     */
    LoginPage.prototype.openModalRegister = function () {
        this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__regist_regist__["a" /* RegistPage */]).present();
    };
    /**
     * 打开窗口-找回密码
     */
    LoginPage.prototype.openModalFindPassword = function () {
        this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__find_password_find_password__["a" /* FindPasswordPage */]).present();
    };
    /**
     * 登录
     */
    LoginPage.prototype.login = function () {
        var _this = this;
        if (this.params.account.length > 0 && this.params.password.length > 0) {
            this.userService.login(this.params).then(function (value) {
                console.log("登录的返回信息" + JSON.stringify(value));
                console.log("USER_INFO---" + JSON.stringify(_this.params));
                if (value.msg == "success") {
                    _this.storage.remove("USER_INFO");
                    _this.storage.set("USER_INFO", _this.params);
                    //放入缓存,放入全局变量
                    //this.storage.set("token",value.token);
                    //this.globalData.token=value.token;
                    _this.nativeService.showToast("登录成功");
                    _this.closeLogin();
                }
                else if (value.msg == "fail") {
                    _this.nativeService.showToast("用户名或密码错误");
                }
                else {
                    _this.nativeService.showToast(value.msg);
                }
            });
        }
        else {
            this.nativeService.showToast('请输入账号密码');
        }
    };
    //微信登录
    LoginPage.prototype.wxLogin = function () {
        var _this = this;
        console.log("使用微信登录...");
        try {
            //alert("微信登录");
            var scope = "snsapi_userinfo";
            var state = "_" + (+new Date());
            // 1. 获取code
            Wechat.auth(scope, state, function (response) {
                console.log("获取code", response);
                //通过code去请求后台,后台返回用户信息
                var params = {
                    code: response.code
                };
                _this.userService.getWxUserInfo(params).then(function (value) {
                    var params = {
                        //account:value.openid,
                        account: value.nickname,
                        //password:'',
                        password: value.openid,
                        loginType: 'wx',
                        nickname: value.nickname,
                        headimgurl: value.headimgurl
                    };
                    //登录成功
                    _this.storage.remove("USER_INFO");
                    _this.storage.set("USER_INFO", params);
                    //放入缓存,放入全局变量
                    _this.storage.set("token", value.token);
                    _this.globalData.token = value.token;
                    _this.nativeService.showToast("登录成功");
                    _this.closeLogin();
                });
                /**
                //alert("获取code:" + JSON.stringify(response));
                let appId = "wx03950263a3466f65";
                let appSecret = "bc25fe0050e9ef807ae00594d388a11f";
                // 2. 获取token，openID
                let accessTokenUrl = `https://api.weixin.qq.com/sns/oauth2/access_token?appid=${appId}&secret=${appSecret}&code=${response.code}&grant_type=authorization_code`;
                alert(accessTokenUrl);
                this.http.get(accessTokenUrl).map(res => res.json()).mergeMap(accessTokenResponse => {
                  console.log("获取token，openID:", accessTokenResponse);
                  alert("获取token，openID:" + JSON.stringify(accessTokenResponse));
                  let accessToken = accessTokenResponse.access_token;
                  let openId = accessTokenResponse.openid;
                  let userInfoUrl = 'https://api.weixin.qq.com/sns/userinfo?access_token='+accessToken+'&openid='+openId+'';
                  return this.http.get(userInfoUrl);
                }).map(res => res.json()).subscribe(userInfoResponse => {
                  console.log("用户信息", userInfoResponse);
                  alert("用户信息:" + JSON.stringify(userInfoResponse));
                });
                */
            }, function (reason) {
                //alert("Failed: " + reason);
                _this.nativeService.showToast("请求错误");
            });
        }
        catch (error) {
            console.log(error);
            //alert("error"+
            this.nativeService.showToast("请求错误");
        }
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-login',template:/*ion-inline-start:"D:\epsapp-client\src\pages\login\login.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>登录</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<!-- 登录页面 -->\n\n<ion-content >\n\n  <!--<ion-row><ion-icon name="arrow-back" class="color-white myicon" tappable  (click)="closeLogin()"></ion-icon></ion-row>-->\n\n  <ion-row>\n\n    <ion-col text-center>\n\n      <!--之前的logo图,重新ps一张-->\n\n      <img src="../../assets/imgs/usercenter/logo.png">\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-list inset>\n\n\n\n  <ion-item>\n\n    <ion-icon style="color: #2186ff" name="md-myUserIcon" item-start></ion-icon>\n\n    <ion-input [(ngModel)]="params.account" placeholder="用户名" clearInput=true></ion-input>\n\n  </ion-item>\n\n  <!--<ion-item>-->\n\n    <!--<ion-icon style="color: #2186ff" name="md-myUserIcon" item-start></ion-icon>-->\n\n    <!--<ion-input type="text" placeholder="请输入用户名" ></ion-input>-->\n\n  <!--</ion-item>-->\n\n  <!--<ion-item class="myitem" margin-top>-->\n\n  <ion-item>\n\n    <ion-icon style="color: #2186ff" name="md-myPasswordIcon" item-start></ion-icon>\n\n    <ion-input type="password" [(ngModel)]="params.password" placeholder="密码" clearInput=true></ion-input>\n\n  </ion-item>\n\n\n\n  <ion-grid>\n\n    <ion-row>\n\n      <ion-col tappable text-left (click)="openModalFindPassword()" >\n\n        <button ion-button small clear  class="color-white"><span style="color: #999999">找回密码</span></button>\n\n      </ion-col>\n\n      <ion-col tappable text-right (click)="openModalRegister()">\n\n        <button ion-button small clear  class="color-reg"><span style="color: #999999">没有账号？</span><span style="color: #1D80DE">立即注册</span></button>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n\n\n  <div padding-horizontal>\n\n    <button ion-button round  block style="background: #1D80DE" type="submit" class="loginbutton"  (click)="login()"><span style="color: #FFFFFF">登录</span></button>\n\n  </div>\n\n\n\n  <!--<div style="display: flex;align-items:center; margin-left: 8.5%; width: 90%" >\n\n    <p style="width:30%;height:1px;background-color: #FFFFFF;margin-right: 5% " ></p>\n\n    <p style="color: #FFFFFF " ><span style="color: #999999">其他登录方式</span></p>\n\n    <p style="width:30%;height:1px;background-color: #FFFFFF;margin-left: 5% " ></p>\n\n  </div>-->\n\n    <div class="sigma-content">\n\n      <div class="sigma-middle-line">\n\n        <span class="sigma-line-text">其他登录方式</span>\n\n      </div>\n\n      <div style="display: flex;flex-direction: column;align-items: center;" (click)="wxLogin()">\n\n        <img src="../../assets/imgs/usercenter/wx.png" style="width:44px;height:44px;border-radius:88px;background-color: #ffffff" />\n\n        <p style="color: white">微信快捷登录</p>\n\n      </div>\n\n\n\n    </div>\n\n\n\n  <!--<div style="display: flex;flex-direction: column;align-items: center;" (click)="wxLogin()">\n\n    <img src="../../assets/imgs/usercenter/wx.png" style="width:44px;height:44px;border-radius:88px;background-color: #ffffff" />\n\n    <p style="color: white">微信快捷登录</p>\n\n  </div>-->\n\n  </ion-list>\n\n\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\epsapp-client\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_native_service_native_service__["a" /* NativeServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_user_service_user_service__["a" /* UserServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_7__providers_global_data_global_data__["a" /* GlobalDataProvider */],
            __WEBPACK_IMPORTED_MODULE_8__angular_http__["b" /* Http */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ })

});
//# sourceMappingURL=4.js.map