webpackJsonp([9],{

/***/ 773:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ChangePasswordPageModule", function() { return ChangePasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__change_password__ = __webpack_require__(792);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ChangePasswordPageModule = /** @class */ (function () {
    function ChangePasswordPageModule() {
    }
    ChangePasswordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__change_password__["a" /* ChangePasswordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__change_password__["a" /* ChangePasswordPage */]),
            ],
        })
    ], ChangePasswordPageModule);
    return ChangePasswordPageModule;
}());

//# sourceMappingURL=change-password.module.js.map

/***/ }),

/***/ 792:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ChangePasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_native_service_native_service__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_service_user_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_global_data_global_data__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ChangePasswordPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ChangePasswordPage = /** @class */ (function () {
    function ChangePasswordPage(navCtrl, navParams, alertCtrl, nativeService, storage, userService, globalData) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.nativeService = nativeService;
        this.storage = storage;
        this.userService = userService;
        this.globalData = globalData;
        this.params = {
            newpassword: '',
            oldpassword: '',
            account: '',
        };
    }
    ChangePasswordPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ChangePasswordPage');
    };
    // 保存
    ChangePasswordPage.prototype.save = function () {
        var _this = this;
        console.log("旧密码" + this.params.oldpassword);
        //获取缓存中的账号,通过缓存的值判断输入的旧密码是否错误
        this.storage.get("USER_INFO").then(function (value) {
            //获取当前用户的账号,用于修改密码
            _this.params.account = value.account;
            var password = value.password;
            if (password == _this.params.oldpassword) {
                console.log("输入的旧密码和数据库的旧密码相同");
                if (_this.params.newpassword == _this.newpassword) {
                    var alert_1 = _this.alertCtrl.create({
                        title: '是否确定保存,修改后需要重新登录?',
                        buttons: [
                            {
                                text: '否',
                                handler: function () {
                                }
                            },
                            {
                                text: '是',
                                handler: function () {
                                    _this.userService.changePassword(_this.params).then(function (value1) {
                                        console.log("修改密码的返回参数" + value1.msg);
                                        if (value1.msg == "tokenInvalid") {
                                            _this.nativeService.showToast("登录过期,请重新登录后修改密码");
                                            _this.cleanLoginInfo();
                                        }
                                        else {
                                            if (value1.msg == "success") {
                                                _this.nativeService.showToast("修改密码成功,请重新登录");
                                                _this.cleanLoginInfo();
                                            }
                                            else {
                                                _this.nativeService.showToast("修改失败," + value1.msg);
                                            }
                                        }
                                    });
                                }
                            }
                        ]
                    });
                    alert_1.present();
                }
                else {
                    _this.nativeService.showToast('两次输入密码不一致');
                }
            }
            else {
                _this.nativeService.showToast('旧密码输入错误');
                return;
            }
        });
    };
    //清除登录信息
    ChangePasswordPage.prototype.cleanLoginInfo = function () {
        var _this = this;
        this.storage.set("token", '');
        this.globalData.token = '';
        this.storage.set("isEvaluation", false);
        this.userService.logout().then(function (value2) {
            console.log(value2);
            _this.navCtrl.remove(1);
            //重新登录
            _this.navCtrl.push("LoginPage");
        });
    };
    ChangePasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-change-password',template:/*ion-inline-start:"D:\epsapp-client\src\pages\change-password\change-password.html"*/'<!--\n\n  Generated template for the ChangePasswordPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n\n\n<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>修改密码</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <ion-list inset>\n\n    <ion-item>\n\n      <ion-icon style="color: #2186ff" name="md-myPasswordIcon" item-start></ion-icon>\n\n      <ion-input [(ngModel)]="params.oldpassword" placeholder="请输入当前密码" float-right type="password"></ion-input>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n      <ion-icon style="color: #2186ff" name="md-myPasswordIcon" item-start></ion-icon>\n\n      <ion-input [(ngModel)]="params.newpassword" placeholder="请输入新密码" type="password"></ion-input>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n      <ion-icon style="color: #2186ff" name="md-myConfirmIcon" item-start></ion-icon>\n\n      <ion-input [(ngModel)]="newpassword" placeholder="请再次输入" type="password"></ion-input>\n\n    </ion-item>\n\n  </ion-list>\n\n  <button class="mybutton" style="background: #1D80DE" ion-button round block tappable (click)="save()">保 存</button>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\epsapp-client\src\pages\change-password\change-password.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_native_service_native_service__["a" /* NativeServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_4__providers_user_service_user_service__["a" /* UserServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_global_data_global_data__["a" /* GlobalDataProvider */]])
    ], ChangePasswordPage);
    return ChangePasswordPage;
}());

//# sourceMappingURL=change-password.js.map

/***/ })

});
//# sourceMappingURL=9.js.map